#This file is part of Tryton.  The COPYRIGHT file at the top level of
#this repository contains the full copyright notices and license terms.
from trytond.model import ModelView, ModelSQL, fields
from trytond.pool import Pool

__all__ = ['Position']

DEFAULT_WORKDAY = 8
DEFAULT_RESTDAY = 0


class Position(ModelSQL, ModelView):
    'Position'
    __name__ = 'staff.position'
    code = fields.Char('Code')
    name = fields.Char('Name', required=True)
    extras = fields.Boolean('Extras')

    @classmethod
    def __setup__(cls):
        super(Position, cls).__setup__()

    def get_rec_name(self, name):
        return self.name
